# Python sitelib macro trick from http://fedoraproject.org/wiki/PackagingDrafts/Python
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gstreamer-rtsp
Version:	0.10.7
Release:	1%{?dist}
Summary:	GStreamer RTSP server library

Group:		Applications/Multimedia
License:	LGPLv2+
URL:		http://people.freedesktop.org/~wtay/
Source0:	http://people.freedesktop.org/~wtay/gst-rtsp-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gstreamer-devel gstreamer-plugins-base-devel
BuildRequires:	python-devel gstreamer-python-devel pygobject2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	vala-devel
BuildRequires:	chrpath

# See http://cgit.freedesktop.org/gstreamer/gst-rtsp-server/commit/?id=2e1054036d24496ebe7311ed5cd412df95e98343
BuildRequires:	automake autoconf libtool

%description
A GStreamer-based RTSP server library, with Python and Vala bindings.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Libraries
License:	LGPLv2+
Requires:	pkgconfig
Requires:	gstreamer-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for %{name}, the GStreamer RTSP server library.

%package python
Summary:	Python bindings for %{name}
Requires:	%{name} = %{version}-%{release}
License:	LGPLv2+
Requires:	gstreamer-python
Requires:	%{name} = %{version}-%{release}

%description python
Python bindings for %{name}, the GStreamer RTSP server library.

%package vala
Summary:	Vala bindings for %{name}
Requires:	%{name} = %{version}-%{release}
License:	LGPLv2+
Requires:	vala
Requires:	%{name} = %{version}-%{release}

%description vala
Vala bindings for %{name}, the GStreamer RTSP server library.

%prep
%setup -q -n gst-rtsp-%{version}

# Work-around ancient introspection.m4 file
rm -f  common/m4/introspection.m4
aclocal -Icommon/m4/
autoreconf -f

%build
# Until https://bugzilla.gnome.org/show_bug.cgi?id=634376 is fixed, disable introspection
%configure

make %{?_smp_mflags} V=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgstrtspserver-0.10.la \
	$RPM_BUILD_ROOT/%{_libdir}/python*/site-packages/gst-0.10/gst/rtspserver.{a,la}

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
# can't tweak libtool, see:
# https://bugzilla.gnome.org/show_bug.cgi?id=634376#c1
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libgstrtspserver-0.10.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LIB README TODO NEWS
%{_libdir}/libgstrtspserver-0.10.so.0
%{_libdir}/libgstrtspserver-0.10.so.0.0.0
%{_libdir}/girepository-1.0/GstRtspServer-0.10.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gstreamer-0.10/gst/rtsp-server
%{_libdir}/libgstrtspserver-0.10.so
%{_libdir}/pkgconfig/gst-rtsp-server-0.10.pc
%{_datadir}/gst-rtsp/
%{_datadir}/gir-1.0/GstRtspServer-0.10.gir

%files python
%defattr(-,root,root,-)
%{_libdir}/python*/site-packages/gst-0.10/gst/rtspserver.so

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/gst-rtsp-server-0.10.deps
%{_datadir}/vala/vapi/gst-rtsp-server-0.10.vapi

%changelog
* Mon Dec 06 2010 Bastien Nocera <bnocera@redhat.com> 0.10.7-2
- Update to 0.10.7

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Dec 16 2009 Bastien Nocera <bnocera@redhat.com> 0.10.5-1
- Update to 0.10.5

* Sat Aug  8 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.4-1
- Update to 0.10.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Bastien Nocera <bnocera@redhat.com> 0.10.3-1
- Update to 0.10.3 (#501159)

* Thu Apr 23 2009 - Bastien Nocera <bnocera@redhat.com> - 0.10.1.0-3
- Update for missing Requires, and ldconfig calls, with help from
  Peter Lemenkov <lemenkov@gmail.com>

* Thu Apr 23 2009 - Bastien Nocera <bnocera@redhat.com> - 0.10.1.0-2
- Require gstreamer-python-devel in F11

* Tue Feb 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.10.1.0
- First version

